Class | FFI::AutoPointer::DefaultReleaser
In: | lib/ffi/autopointer.rb
Parent: | Releaser

DefaultReleaser is a {Releaser} used when an {AutoPointer} is defined without Proc or Method. In this case, the pointer to release must be of a class derived from AutoPointer with a +release+ class method.

### Methods

release

### Public Instance methods

release(ptr)

@param [Pointer] ptr @return [nil] Release `ptr` by using his release class method.

[Validate]